IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Companies Per Company Country Code GETGet Industries GETGet Jobs And Companies Per Job Country Code GETGet Technologies And Buying Intents GETGet Geographic Locations GETGet Keyword Categories GETGet Keyword Subcategories GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Catalog

Get Technologies And Buying Intents

List all keywords tracked by TheirStack, including both technologies and buying intent topics. Search for any keyword and filter by one or more categories.

Calls to this endpoint don't cost you credits.

  • To get technologies only: filter with keyword_type=technology
  • To get only buying intent topics: filter with keyword_type_not=technology
  • By default this endpoint returns 25 keywords. To get all keywords, set limit=100000.

Response always includes data (array of keywords) and metadata (total_results, page, limit).

GET
/v0/catalog/keywords

Query Parameters

  • keyword_type
    stringnullable

    Keyword type to filter by

    • technology
    • software_product
    • technology_concept
    • operational_activity
    • strategic_initiative
  • keyword_type_not
    array<string>nullable

    Exclude keywords of these types

    • technology
    • software_product
    • technology_concept
    • operational_activity
    • strategic_initiative
  • name_pattern
    stringnullable

    Case-insensitive text to search for in the keyword name

  • slug
    array<string>nullabledeprecated

    Keyword slug of a single keyword

  • slugs
    array<string>nullable

    Keyword slugs of one or many keywords

  • category_pattern
    stringnullable

    Case-insensitive text to search for in the keyword category. For example, data to find 'data tools'.

  • category_slug
    stringnullable

    Keyword category slug

  • parent_category_slug
    stringnullable

    Keyword parent category slug

  • parent_category_pattern
    stringnullable

    Case-insensitive text to search for in the keyword parent category name

  • q
    stringnullable

    General search query. Searches across keyword name, keyword type, category, and parent category (case-insensitive). Results where the keyword name starts with the query are ranked first.

  • starts_with
    stringnullable

    Filter keywords whose name starts with this string (e.g. 'A' for glossary). Special value 'other' selects keywords whose name does not start with letters A-Z.

  • include_metadata
    boolean
    default: false
    deprecated

    Deprecated, metadata is always included now

  • page
    integer
    0 <= valuedefault: 0

    Page number.

  • limit
    integer
    1 <= valuedefault: 25

    Number of results per page

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v0/catalog/keywords"
    {
      "data": [
        {
          "name": "PostgreSQL",
          "category": "Relational Database",
          "type": "string",
          "slug": "kafka",
          "category_slug": "message-queue",
          "parent_category": "Data Stores",
          "parent_category_slug": "data-stores",
          "logo": "string",
          "logo_thumbnail": "string",
          "one_liner": "Apache Kafka",
          "url": "string",
          "description": "string",
          "jobs": 0,
          "companies": 0,
          "companies_found_last_week": 0
        }
      ],
      "metadata": {
        "total_results": 0,
        "page": 0,
        "limit": 0
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get Jobs And Companies Per Job Country Code GET

    This endpoint will return all the country codes and the number of jobs whose location's country code is the given one, and the number of companies with jobs in that country.

    Get Geographic Locations GET

    Search for geographic locations by name or ID to retrieve standardized location data including city, region, and country. Use location IDs with job_location_or and job_location_not filters for precise geographic targeting in job searches.